package org.apache.xindice.tools;

import junit.framework.TestCase;

/**
 * @version CVS $Revision: 1.5 $, $Date: 2003/08/07 20:13:27 $
 * @author Vladimir R. Bossicard <vladimir@apache.org>
 */
public class XMLToolsTest
      extends TestCase {

   private XMLTools tools;

   public void setUp() {
      tools = new XMLTools();
   }

   public void testParseInvalidDbName() {
      try {
         tools.parseArguments(new String[]{"ac", "-c", "db"});
      } catch (IllegalArgumentException e) {
         return;
      }
      fail();
   }

   public void testParseValidDbName() {
      tools.parseArguments(new String[]{"ac", "-c", "/db"});
   }

   public void testParseValidLongDbName() {
      tools.parseArguments(new String[]{"ac", "-c", "xmldb:xindice-embed://localhost:8090/db"});
   }

}
